Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# any_image_view.hpp File Reference

## Detailed Description

Support for run-time instantiated image view.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

`#include "variant.hpp"`
`#include "../../image_view.hpp"`
`#include "../../image.hpp"`

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::gil
namespace | boost::gil::detail

## Classes

class | any_image_view
| Represents a run-time specified image view. Models HasDynamicXStepTypeConcept, HasDynamicYStepTypeConcept, Note that this class does NOT model ImageViewConcept. More...